import React from 'react'

const social = ["fb","twitter","insta", "linkedin"];

const links = [
    {
        title: "Quick Link",
        sublinks: ["Buy Plot", "Sell Plod", "Projects", "Post land", "Support"]
    },
    {
        title: "Company",
        sublinks: ["About Us", "Agents", "Blog", "Media", "Contact Us"]
    },
    {
        title: "Take a tour",
        sublinks: ["About Us", "Agents", "Blog", "Media", "Contact Us"]
    }
]

const Footer = () => {
    return (
        <div className='bg-[#151C22] py-10 lg:px-32 px-2 grid lg:grid-cols-5 text-white gap-16'>
            <div className='col-span-2 flex flex-col gap-4'>
                <img src="/logo-white.png" alt="" className='w-[151px] h-[67px]'/>
                <p className='text-sm leading-8'>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>

                <div className='flex gap-4 items-center'>
                    {social.map(item => (
                        <img src={`/icons/${item}.png`} alt="" className='w-[22px] h-[22px]' key={item}/>
                    ))}
                </div>

                <p className='text-[#8F90A6] text-xs'>© 2024 . All rights reserved by Jaminjaidad. Designed by <a href="https://hashtechdigital.in/" target="_blank">HASHtech</a>.
</p>
            </div>
            {links.map(item => (
                <div key={item.title} className='flex flex-col gap-4'>
                    <p className='font-semibold leading-8'>{item.title}</p>
                    {item.sublinks.map(sublink => (
                        <p key={sublink} className='text-sm leading-8'>{sublink}</p>
                    ))}
                </div>
            ))}
        </div>
    )
}

export default Footer